# Class LoginRequest | EchoHub Documentation

# Class LoginRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record LoginRequest : IEquatable<LoginRequest>

Inheritance
  object
  LoginRequest

Implements
  IEquatable<LoginRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### LoginRequest(LoginRequest)

    protected LoginRequest(LoginRequest original)

#### Parameters

`original` LoginRequest

### LoginRequest(string, string)

    public LoginRequest(string Username, string Password)

#### Parameters

`Username` string
`Password` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Password

    public string Password { get; init; }

#### Property Value

string

### Username

    public string Username { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string, out string)

    public void Deconstruct(out string Username, out string Password)

#### Parameters

`Username` string
`Password` string

### Equals(LoginRequest?)

    public virtual bool Equals(LoginRequest? other)

#### Parameters

`other` LoginRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(LoginRequest?, LoginRequest?)

    public static bool operator ==(LoginRequest? left, LoginRequest? right)

#### Parameters

`left` LoginRequest
`right` LoginRequest

#### Returns

bool

### operator !=(LoginRequest?, LoginRequest?)

    public static bool operator !=(LoginRequest? left, LoginRequest? right)

#### Parameters

`left` LoginRequest
`right` LoginRequest

#### Returns

bool